import React, { Component } from 'react';
import { AppRegistry, View, StyleSheet, Switch} from 'react-native';
import Constants from 'expo-constants';

export default class App extends Component {
    state = {
        switchValue: true
    };

    _handleToggleSwitch = () => this.setState(state => ({
        switchValue: !state.switchValue
    }));

    render() {
        return (
            <View style={
                    [
                        styles.container, 
                        this.state.switchValue ? styles.light : styles.dark
                    ]
            }>
                <Switch
                    onValueChange={this._handleToggleSwitch}
                    value={this.state.switchValue}
                />
            </View>
        );
    }
}

const styles = StyleSheet.create({
    container: {
        flex: 1,
        alignItems: 'center',
        justifyContent: 'center',
        paddingTop: Constants.statusBarHeight,
    },
    light: {
        backgroundColor: 'white',
    },
    dark: {
        backgroundColor: 'grey',
    }
});